Summary: A binary file delta generator
Name: xdelta
Version: 3.1.0
Release:    1%{?dist}
License: ASL 2.0
Source0: https://github.com/jmacd/xdelta-devel/releases/download/v%{version}/xdelta3-%{version}.tar.gz
URL: http://xdelta.org/

BuildRequires: make
BuildRequires:  gcc, gcc-c++
BuildRequires: ncompress
BuildRequires: xz-devel

Patch1: xdelta-3.0.6-man-page-day.patch

%description
Xdelta (X for XCF: the eXperimental Computing Facility at Berkeley) is
a binary delta generator (like a diff program for binaries) and an RCS
version control replacement library. Xdelta uses a binary file delta
algorithm to replace the standard diff program used by RCS

%prep
%setup -q -n %{name}3-%{version}
%patch1 -p2 -b .man-page-day

%build
%configure
%make_build V=0

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1

install -m755 xdelta3 %{buildroot}/%{_bindir}
install -m 644 xdelta3.1 %{buildroot}/%{_mandir}/man1

pushd %{buildroot}/%{_bindir}
ln -s xdelta3 xdelta
popd

pushd %{buildroot}/%{_mandir}/man1
ln -s xdelta3.1 xdelta.1
popd

%check
./xdelta3 test

%files
%doc README.md COPYING
%{_bindir}/xdelta*
%{_mandir}/man1/xdelta*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-1
- initial build
